## ksquirrel-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( ksquirrel )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )
enable_language( ASM )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_KIPI           "Enable kipi support"         ${WITH_ALL_OPTIONS} )
option( WITH_KEXIF          "Enable kexif support"        OFF )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"                 ON           )
option( BUILD_CONFIGURATOR "Build configurator script" ${BUILD_ALL} )
option( BUILD_KPART        "Build kpart library"       ${BUILD_ALL} )
option( BUILD_DOC          "Build documentation"       ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"        ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )
add_definitions( ${KSQUIRREL_CFLAGS} )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( pics )
add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== pics/imageedit/CMakeLists.txt ===
file( GLOB _pngs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.png )

install(
  FILES ${_pngs}
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/images/imageedit
)

=== src/ksquirrelpart/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${KSQUIRREL_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
  ${GL_LIBRARY_DIRS}
  ${KEXIF_LIBRARY_DIRS}
  ${KIPI_LIBRARY_DIRS}
  ${KSQUIRREL_LIBRARY_DIRS}
)

add_definitions( -DKSQUIRREL_PART )


##### ksquirrelpart (shared)

tde_import( libkonq )

tde_add_kpart( libksquirrelpart AUTOMOC
  SOURCES
    ksquirrelpart.cpp sq_glparts.cpp sq_glu.cpp sq_glwidget.cpp sq_glwidget_stuff.cpp
    sq_libraryhandler.cpp sq_downloader.cpp sq_iconloader.cpp fmt_filters.cpp sq_externaltool.cpp
    sq_config.cpp sq_filedialog.cpp sq_imagefilter.ui sq_imagebcg.ui sq_glselectionpainter.cpp
    sq_glwidget_helpers.cpp sq_label.cpp sq_bcglabel.cpp sq_popupmenu.cpp sq_errorstring.cpp
    sq_codecsettingsskeleton.ui sq_codecsettings.cpp sq_imageproperties.ui sq_utils.cpp
    sq_helpwidget.ui sq_utils_asm_scale.S sq_utils_scale.cpp sq_diroperator.cpp sq_glview.cpp
  LINK
    tdecore-shared tdeio-shared tdeui-shared tdeprint-shared tdefx-shared tdeutils-shared
    konq-shared tqui ${GL_LIBRARIES} ${KEXIF_LIBRARIES} ${KSQUIRREL_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}/trinity
)


##### other files

tde_create_translated_desktop(
  SOURCE ksquirrelpart.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install(
  FILES ksquirrelpart.rc
  DESTINATION ${DATA_INSTALL_DIR}/ksquirrelpart
)

=== src/mime/CMakeLists.txt ===
file( GLOB _mime_files *.desktop )

tde_create_translated_desktop(
  SOURCE ${_mime_files}
  DESTINATION ${MIME_INSTALL_DIR}/image
)

## ksquirrel-trinity 3.5.13.2

=== debian/changelog ===
ksquirrel-trinity (4:3.5.13.2-0ubuntu13.04.0+0) raring; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:41:03 +0200

ksquirrel-trinity (0.8.0-0ubuntu2) karmic; urgency=low

  * Karmic build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 20 Oct 2009 17:23:00 -0600

ksquirrel (0.8.0-0ubuntu1~ppa1) hardy; urgency=low

  * Initial release (LP: #107228)

 -- Paul Gevers <paul@climbing.nl>  Fri, 19 Sep 2008 23:27:12 -0500

=== debian/control ===
Source: ksquirrel-trinity
Section: graphics
Priority: extra
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Paul Gevers <paul@climbing.nl>
Build-Depends: debhelper (>= 5),
               quilt,
               libksquirrel-trinity-dev,
               libkonq4-trinity-dev,
               kipi-plugins-trinity,
               libkipi0-trinity-dev,
               build-essential,
               automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: ksquirrel-trinity
Architecture: any
Depends: libksquirrel0-trinity, ${shlibs:Depends}, ${misc:Depends}
Replaces: ksquirrel-kde3 (<< 4:3.5.13)
Breaks: ksquirrel-kde3 (<< 4:3.5.13)
Description: Powerful Trinity image viewer
 KSquirrel is an image viewer for KDE with disk navigator, file tree,
 multiple directory view, thumbnails, extended thumbnails, dynamic
 format support, DCOP interface, KEXIF and KIPI plugins support.
 .
 KSquirrel is a fast and convenient image viewer for KDE featuring
 OpenGL and dynamic format support.

## ksquirrel-trinity 14.0.4

=== debian/changelog ===
ksquirrel-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:45:10 +0200

=== debian/control ===
Source: ksquirrel-trinity
Section: graphics
Priority: extra
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Paul Gevers <paul@climbing.nl>
Build-Depends: debhelper (>= 7.0.50~),
               cdbs, quilt,
               libksquirrel-trinity-dev,
               libkonq4-trinity-dev,
               kipi-plugins-trinity,
               libkipi0-trinity-dev,
               build-essential,
               automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: ksquirrel-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ksquirrel-kde3 (<< 4:14.0.0~), ksquirrel-trinity (<< 4:14.0.0~)
Breaks: ksquirrel-kde3 (<< 4:14.0.0~), ksquirrel-trinity (<< 4:14.0.0~)
Description: Powerful Trinity image viewer
 KSquirrel is an image viewer for TDE with disk navigator, file tree,
 multiple directory view, thumbnails, extended thumbnails, dynamic
 format support, DCOP interface, KEXIF and KIPI plugins support.
 .
 KSquirrel is a fast and convenient image viewer for TDE featuring
 OpenGL and dynamic format support.

## ksquirrel-trinity 14.0.5

=== debian/changelog ===
ksquirrel-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:22:30 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Package: ksquirrel-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: kipi-plugins-trinity
 Replaces: ksquirrel-kde3 (<< 4:14.0.0~), ksquirrel-trinity (<< 4:14.0.0~)
 Breaks: ksquirrel-kde3 (<< 4:14.0.0~), ksquirrel-trinity (<< 4:14.0.0~)
 Description: Powerful Trinity image viewer

## ksquirrel-trinity 14.0.6

=== debian/changelog ===
ksquirrel-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:22:21 +0100

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: kipi-plugins-trinity
-Replaces: ksquirrel-kde3 (<< 4:14.0.0~), ksquirrel-trinity (<< 4:14.0.0~)
-Breaks: ksquirrel-kde3 (<< 4:14.0.0~), ksquirrel-trinity (<< 4:14.0.0~)
+Replaces: ksquirrel-trinity (<< 4:14.0.0~)
+Breaks: ksquirrel-trinity (<< 4:14.0.0~)
 Description: Powerful Trinity image viewer
  KSquirrel is an image viewer for TDE with disk navigator, file tree,
  multiple directory view, thumbnails, extended thumbnails, dynamic

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


config.status: configure
	dh_testdir

configure:
	dh_testdir

	# Regenerate build system
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub admin/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess admin/config.guess
endif

	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	# Add here commands to configure the package.
	PKG_CONFIG_PATH='/opt/trinity/lib/pkgconfig' kde_confdir=/etc/trinity ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/opt/trinity --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-rpath
# Tricks for Intrepid
#--disable-kexif --enable-mt --x-includes=/usr/include/qt4/Qt

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ksquirrel.sgml > ksquirrel.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ksquirrel-trinity.
	$(MAKE) DESTDIR=$(CURDIR)/debian/ksquirrel-trinity install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_install
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman debian/ksquirrel-libs-configurator.1
	cp -a debian/ksquirrel-trinity/usr/share/man debian/ksquirrel-trinity/opt/trinity/share/
	rm -fr debian/ksquirrel-trinity/usr/share/man
	dh_link \
	opt/trinity/share/man/man1/ksquirrel-libs-configurator.1 \
	opt/trinity/share/man/man1/ksquirrel-libs-configurator-real.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ksquirrel-trinity 14.0.8

=== debian/changelog ===
ksquirrel-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:52:51 +0200

## ksquirrel-trinity 14.0.9

=== debian/changelog ===
ksquirrel-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:12:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Paul Gevers <paul@climbing.nl>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9~),
                cdbs, quilt,
                libksquirrel-trinity-dev,
                libkonq4-trinity-dev,
@@ -17,8 +17,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: kipi-plugins-trinity
-Replaces: ksquirrel-trinity (<< 4:14.0.0~)
-Breaks: ksquirrel-trinity (<< 4:14.0.0~)
+Replaces: ksquirrel-kde3 (<< 4:14.0.0~), ksquirrel-trinity (<< 4:14.0.0~)
+Breaks: ksquirrel-kde3 (<< 4:14.0.0~), ksquirrel-trinity (<< 4:14.0.0~)
 Description: Powerful Trinity image viewer
  KSquirrel is an image viewer for TDE with disk navigator, file tree,
  multiple directory view, thumbnails, extended thumbnails, dynamic

## ksquirrel-trinity 14.0.10

=== debian/changelog ===
ksquirrel-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sf.net/ksquirrel/ksquirrel-([\d.]*)\.tar\.bz2

## ksquirrel-trinity 14.0.11

=== debian/changelog ===
ksquirrel-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:34:56 +0200

## ksquirrel-trinity 14.0.12

=== debian/changelog ===
ksquirrel-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 10 Feb 2022 23:16:20 +0100

## ksquirrel-trinity 14.0.13

=== debian/changelog ===
ksquirrel-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Sep 2022 00:31:38 +0200

## ksquirrel-trinity 14.1.0

=== debian/changelog ===
ksquirrel-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Jan 2023 13:17:37 +0100

## ksquirrel-trinity 14.1.1

=== debian/changelog ===
ksquirrel-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 03:58:52 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,15 @@
 
 cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)
 
+# The default gzip compressor has been changed in dpkg >= 1.17.0.
+deb_default_compress = $(shell LANG=C dpkg-deb --version | head -n1 | \
+                         sed -e "s|.*version ||" -e "s| .*||" | \
+                         xargs -r dpkg --compare-versions 1.17.0 lt \
+                         && echo xz || echo gzip)
+ifeq ($(deb_default_compress),gzip)
 DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                                && echo xz || echo bzip2)
+endif
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -101,12 +108,6 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
-	dh_installman debian/ksquirrel-libs-configurator.1
-	cp -a debian/ksquirrel-trinity/usr/share/man debian/ksquirrel-trinity/opt/trinity/share/
-	rm -fr debian/ksquirrel-trinity/usr/share/man
-	dh_link \
-	opt/trinity/share/man/man1/ksquirrel-libs-configurator.1 \
-	opt/trinity/share/man/man1/ksquirrel-libs-configurator-real.1
 	dh_strip
 	dh_compress
 	dh_fixperms

## ksquirrel-trinity 14.1.2

=== debian/changelog ===
ksquirrel-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:45 +0200

## ksquirrel-trinity 14.1.3

=== debian/changelog ===
ksquirrel-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:13:18 +0200

## ksquirrel-trinity 14.1.4

=== debian/changelog ===
ksquirrel-trinity (4:14.1.4-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,11 @@
 Source: ksquirrel-trinity
 Section: graphics
 Priority: extra
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Paul Gevers <paul@climbing.nl>
-Build-Depends: debhelper (>= 9~),
-               cdbs, quilt,
-               libksquirrel-trinity-dev,
-               libkonq4-trinity-dev,
-               kipi-plugins-trinity,
-               libkipi0-trinity-dev,
-               build-essential,
-               automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
+ libksquirrel-trinity-dev, kipi-plugins-trinity, libkipi0-trinity-dev,
+ tdebase-trinity-dev, libkonq4-trinity-dev
 Standards-Version: 3.8.4
 
 Package: ksquirrel-trinity

## ksquirrel-trinity 14.1.5~pre3

=== debian/changelog ===
ksquirrel-trinity (4:14.1.5~pre3-0raspbian13.0.0+3) raspbian-trixie; urgency=low

  * Automated git build for aefe50401fd49ed19b4cbba01fc9d7316515092c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: ksquirrel-trinity
Section: graphics
Priority: extra
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Paul Gevers <paul@climbing.nl>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
 libksquirrel-trinity-dev, kipi-plugins-trinity, libkipi0-trinity-dev,
 tdebase-trinity-dev, libkonq4-trinity-dev
Standards-Version: 3.8.4

Package: ksquirrel-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kipi-plugins-trinity
Replaces: ksquirrel-trinity (<< 4:14.0.0~)
Breaks: ksquirrel-trinity (<< 4:14.0.0~)
Description: Powerful Trinity image viewer
 KSquirrel is an image viewer for TDE with disk navigator, file tree,
 multiple directory view, thumbnails, extended thumbnails, dynamic
 format support, DCOP interface, KEXIF and KIPI plugins support.
 .
 KSquirrel is a fast and convenient image viewer for TDE featuring
 OpenGL and dynamic format support.

## ksquirrel-trinity 14.1.5

=== debian/changelog ===
ksquirrel-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## ksquirrel-trinity 14.1.6~pre0

=== debian/changelog ===
ksquirrel-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for aefe50401fd49ed19b4cbba01fc9d7316515092c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## ksquirrel-trinity 14.1.6~pre1

=== debian/changelog ===
ksquirrel-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9211219a3ae664a88745f2cd6312f241e6feee7f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:37:05 +0100

## ksquirrel-trinity 14.1.6~pre3

=== debian/changelog ===
ksquirrel-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 2714eb534bb3dd42778c78358737041a73389dde
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Feb 2026 22:32:33 +0100

## ksquirrel-trinity 14.2.0~pre72

=== debian/changelog ===
ksquirrel-trinity (4:14.2.0~pre72-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for ae8eb6c4e6608b575ba5f91e2e3d8e50d5ea59bd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## ksquirrel-trinity 14.2.0~pre73

=== debian/changelog ===
ksquirrel-trinity (4:14.2.0~pre73-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 208bc0c09fb16957242c5dd0da63beacab82328f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:55:19 +0100

## ksquirrel-trinity 14.2.0~pre75

=== debian/changelog ===
ksquirrel-trinity (4:14.2.0~pre75-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for d5ed7af5d415b04fd7f07fe50c107c25f9742847
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#ksquirrel

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Feb 2026 18:51:16 +0100
